package com.dcsoft.system.kq.service;


import com.dcsoft.system.kq.domain.KqGroup;

import java.util.List;

/**
 * 考勤组Service接口
 *
 * @author dcsoft
 * @date 2023-01-05
 */
public interface IKqGroupService
{
    /**
     * 查询考勤组
     *
     * @param groupId 考勤组主键
     * @return 考勤组
     */
    public KqGroup selectKqGroupByGroupId(Long groupId);

    /**
     * 查询考勤组列表
     *
     * @param kqGroup 考勤组
     * @return 考勤组集合
     */
    public List<KqGroup> selectKqGroupList(KqGroup kqGroup);

    /**
     * 新增考勤组
     *
     * @param kqGroup 考勤组
     * @return 结果
     */
    public int insertKqGroup(KqGroup kqGroup);

    /**
     * 修改考勤组
     *
     * @param kqGroup 考勤组
     * @return 结果
     */
    public int updateKqGroup(KqGroup kqGroup);

    /**
     * 批量删除考勤组
     *
     * @param groupIds 需要删除的考勤组主键集合
     * @return 结果
     */
    public int deleteKqGroupByGroupIds(Long[] groupIds);

    /**
     * 删除考勤组信息
     *
     * @param groupId 考勤组主键
     * @return 结果
     */
    public int deleteKqGroupByGroupId(Long groupId);
}
